/*
 * $Id: sysinc.h,v 1.3 2000/03/15 18:02:08 hfrieden Exp $
 *
 * $Date: 2000/03/15 18:02:08 $
 * $Revision: 1.3 $
 *
 * (C) 1999 by Hyperion
 * All rights reserved
 *
 * This file is part of the MiniGL library project
 * See the file Licence.txt for more details
 *
 */
#ifndef __MINIGL_COMPILER_H
#define __MINIGL_COMPILER_H

#ifdef __PPC__
extern struct Library *Warp3DPPCBase;
#else
extern struct Library *Warp3DBase;
#endif

#include <exec/types.h>
#include <exec/exec.h>
#include <intuition/intuition.h>
#include <graphics/gfx.h>
#include <graphics/scale.h>
#include <utility/tagitem.h>
#include <dos/dos.h>
#include <dos/exall.h>
#include <devices/timer.h>
#include <Warp3D/Warp3D.h>
#include <cybergraphx/cybergraphics.h>
#include <clib/intuition_protos.h>
#include <clib/exec_protos.h>
#include <clib/dos_protos.h>
#include <clib/graphics_protos.h>
#if defined(__GNUC__)
    #include "../include/mgl/gl.h"
    #ifdef __PPC__
    #include <Warp3D/Warp3D_protos.h>
    #include <proto/intuition.h>
    #include <proto/exec.h>
    #include <proto/graphics.h>
    #include <proto/dos.h>
    #include <proto/cybergraphics.h>
    #include <powerpc/powerpc_protos.h>
    #else
    #include <inline/Warp3D.h>
    #include <inline/intuition.h>
    #include <inline/exec.h>
    #include <inline/graphics.h>
    #include <inline/dos.h>
    #include <proto/timer.h>
    #include <inline/timer.h>
    #include <proto/cybergraphics.h>
    #endif
#elif defined(__STORM__)
    #include "/include/mgl/gl.h"
    #include <Warp3D/Warp3D.h>
    #include <clib/Warp3D_protos.h>
    #ifdef __PPC__
    #include <clib/powerpc_protos.h>
    #include <clib/cybergraphics_protos.h>
    #else
    #include <pragma/Warp3D_lib.h>
    #endif
    #define INLINE __inline
    #define inline __inline
#elif defined(VBCC)
    #include "/include/mgl/gl.h"
    #define __inline
    #define inline
    #include "mgl/gl.h"
    #include <proto/Warp3D.h>
    #include <proto/intuition.h>
    #include <proto/exec.h>
    #include <proto/graphics.h>
    #include <proto/dos.h>
    #include <proto/cybergraphics.h>
    #ifdef __PPC__
        #include <clib/powerpc_protos.h>
    #endif
#endif


#endif
